package com.ycwl.basic.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 素材类型
 *
 * @author songmingsong
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum SourceTypeNameEnum {
    ORIGINAL_FILM_SET(1, "录像集"),
    PHOTO_GALLERY(2, "照片集"),
    UNKNOWN(-1, "未知");
    private int type;
    private String remark;

    public static String getRemark(Integer type) {
        for (SourceTypeNameEnum wechatErrorCodeEnum : SourceTypeNameEnum.values()) {
            if (wechatErrorCodeEnum.type==type) {
                return wechatErrorCodeEnum.remark;
            }
        }
        return UNKNOWN.remark;
    }
}
